Workspaces

POST /public/v1/workspace-products/{id}/rules

Add a pitch rule (a DO or a DON'T) to a workspace product.

POST /public/v1/workspace-products/{id}/rules

POST /public/v1/workspace-products/{id}/rules

curl --request POST \
  --url 'https://api.joinvalley.co/public/v1/workspace-products/{ID}/rules' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
  --header 'Content-Type: application/json' \
  --data '{
  "key": "value"
}'
{
  "statusCode": 1,
  "status": true,
  "message": "<string>",
  "data": {
    "pitch_rule": {
      "id": "<string>",
      "rule": "<string>",
      "is_do": true,
      "created_at": "<string>",
      "updated_at": "<string>"
    }
  }
}

Default Response

Authorizations

  • x-api-key string required header

    Your Valley API key.

Path Parameters

  • id string required

Request Body

application/json
  • rule string required

    The rule text.

  • isDo boolean required

    true = a DO, false = a DON'T.

Response

application/json
  • statusCode number
  • status boolean
  • message string
  • data object
    + Show Child Attributes
    • pitch_rule object
      + Show Child Attributes
      • id string
      • rule string
      • is_do boolean
      • created_at string
      • updated_at string